﻿using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace UnbounboundField
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Data> data = new List<Data>();
            data.Add(new Data()
            {
                Open = 1,
                Label = "Item1"
            });
            data.Add(new Data()
            {
                Open = 2,
                Label = "Item2"
            });
            data.Add(new Data()
            {
                Open = 3,
                Label = "Item3"
            });
            data.Add(new Data()
            {
                Open = 4,
                Label = "Item4"
            });
            DataContext = data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
           
           DataRecordPresenter dr = Utilities.GetAncestorFromType(sender as DependencyObject, 
               typeof(DataRecordPresenter), false) as DataRecordPresenter;

            dr.Record.IsSelected = true;

            MessageBox.Show(dr.DataRecord.ToString());

            grid1.ExecuteCommand(DataPresenterCommands.DeleteSelectedDataRecords);
           
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {

        }

        private void grid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {

        }

        private void Image_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            DataRecordPresenter dr = Utilities.GetAncestorFromType(sender as DependencyObject,
              typeof(DataRecordPresenter), false) as DataRecordPresenter;

            dr.Record.IsSelected = true;

            MessageBox.Show(dr.DataRecord.ToString());
        }

        private void Image_MouseLeftButtonDown_ChangeStatus(object sender, MouseButtonEventArgs e)
        {

        }
    }   
    public class Data : INotifyPropertyChanged
    {
        private int open;
        private string label;


     


        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                PropChanged("Label");
            }
        }

        public int Open
        {
            get { return open; }
            set
            {
                open = value;
                PropChanged("Open");
            }
        }

      

       

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    } 
				
}
